function [S,Pf]=Assemble(S,K,Pf,Ff,MemNum,NEdof,NSdof,CodeNum)
% Again, the order of both input and output parameters must be the same
% here and in the main program, although the specific parameters don't need
% to be the same, e.g. k1 and Qf1 in the main program and K and Ff here. We
% will see later why K and Ff are used.
for KRow=1:NEdof
SRow=CodeNum(MemNum,KRow);
if SRow<=NSdof
Pf(SRow)=Pf(SRow)+Ff(KRow);
for KCol=1:NEdof
SCol=CodeNum(MemNum,KCol);
if SCol<=NSdof
S(SRow,SCol)=S(SRow,SCol)+K(KRow,KCol);
end
end
end
end
